%define name ckermit
%define version 7.0
%define release 3mdk

Name: %{name}
Summary: Communications Software for UNIX, VMS, VOS, AOS/VS, QNX, Plan 9, Amiga,... 
Version: %{version}
Release: %{release}
Source: %{name}-%{version}.tar.bz2
Group: Networking/Other   
URL: http://www.columbia.edu/kermit/ck70.html
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: Redistribution of C-Kermit with Open-Source operating systems such as Linux, FreeBSD, NetBSD, and OpenBSD is permitted
Prefix: /usr

%description
CKermit is a combined serial and network communication software package
offering a consistent, medium-independent, cross-platform approach to
connection
establishment, terminal sessions, file transfer, character-set translation,
numeric and alphanumeric paging, and automation of communication tasks. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" 
make linux -j 2

cd $RPM_BUILD_DIR/%{name}-%{version}
make manpage

%install
install -m 755 -d $RPM_BUILD_ROOT/usr/bin
install -m 755 wermit $RPM_BUILD_ROOT/usr/bin/kermit
install -m 755 wart $RPM_BUILD_ROOT/usr/bin/
install -m 755 -d $RPM_BUILD_ROOT/usr/man/man1
install -m 644 ckuker.nr $RPM_BUILD_ROOT/usr/man/man1/kermit.1
install -m 755 -d $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
install -m 644 {ckc196.txt,ckwart.txt} $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/  

%clean
rm -rf $RPM_BUILD_ROOT 

%post
echo " WARNING: If C-Kermit is to be used for dialing out, you will"
echo " probably need to change its owner and group and permissions to"
echo " match the cu program.  See the ckuins.txt file for details." 

%files 
%defattr(-,root,root,0755)
/usr/bin/*
/usr/man/man1/*
%doc ckc196.txt ckwart.txt

%changelog
* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 7.0-3mdk
- group and files section fixes

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- added valid license tag

* Wed Dec 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- first specfile
- bzip2 manpages

